Jump to content
Not connected, Your IP: 35.175.200.4
Staff

Eddie 2.14.5 released

Recommended Posts

I was having trouble getting the IPv6 servers to work while using Comodo firewall to block non-VPN traffic. I use this official guide, and the problem was that the guide's safe IP Range [10.4.0.0 - 10.9.255.255] had to be bumped up to at least 10.21.255.255 to have the couple of servers work which I use.
So what is the new recommended IP range that includes IPv6-servers?

Share this post


Link to post

 

i still get webrtc leaks,  the weird thing is it's only on certain  servers.  i've finally gave in and installed the extension to the chrome browser but if anything it's putting a very bad impression on the software client now, since i see that it can't function at 100 percent on it's own.  it's a shame really, i was hoping that this would be fixed with this update. i geuss air will have to be a secondary for now on if this can't be resolved, i've used other software clients and don't run into this problem at all.  

WebRTC leaks are not the Eddlie Client's fault but rather the web browser you are using. If you are using Chrome or Chromium you will need the web-rtc block extension, and to have it set where it redirects the webrtc request. Otherwise you need a browser like Firefox where you can disable WebRTC in the about:config options. If you have network lock enabled and are using Firefox or Chromium with the blocker extension you will not have any WebRtc leaks. I always check everytime I use Eddie and have never had any leak problems that way.

 

Edit: Also I have found using the Brave web browser with fingerprinting protection on to show no WebRTC leaks on ipleak.net as well.

well, heres the issue i have with that, i pay for both expressvpn and airvpn.  when i use the expressvpn windows client, i don't get any leaks at all, regardless of the browser that i use. however, when i use airvpn with the network lock enabled i get webrtc leaks, so i'm not all that convinced that it's not the client, maybe it's the adapter since reinstalling it did fix it temporarily.  i'm back to square one with it leaking again, and google chrome is about the most reliable browser i use, i do have firefox installed but i'm not a fan and prefer not to use it.  i was hoping to get an answer from one of the air techs, i would definitely appreciate your input. i would rather not have to install extensions in regards to the webrtc leak issue.   

Share this post


Link to post

I get the same No Internet Access result when hovering over the tray wi-fi icon with both Eddie 2.14.5 and 2.13. When saving a file in MS Office 2016 it displays there's no internet connection available, however I can still navigate to cloud drives and save files. I attempted to find a "fix", but nothing helped. There's some past talk here in forums from staff about the unidentified network no internet being considered normal (when using VPN). There are times the tray tip will display Unidentified Network Internet Access, but I do not know what causes the difference.

Share this post


Link to post

I'm using Eddie-2.14.5 on Arch Linux, and eddie-tray doesn't work.

 

...

(eddie-tray:1400): libappindicator-WARNING **: 11:58:20.851: Unable to get the session bus: Address element “False” does not contain a colon (

(eddie-tray:1400): LIBDBUSMENU-GLIB-WARNING **: 11:58:20.851: Unable to get session bus: Address element “False” does not contain a colon (

...

 

In Eddie-2.14.4 it worked like a charm.

 

It doesn't matter, which package I use. Arch, portable, mono, it's always the same.

 

I did notice, that the name was changed from eddie_tray to eddie-tray. What else has been changed, I wonder.

Share this post


Link to post

I quess it is Gnome problem ^ . Here in gnome arch same thing, i can live with that. Afterall as you know Gnome behaviour is little different than kde,mate,xfce etc..

 

Well, thanks for your comment, WaNNaBEAnoNymoUs, but I don't exactly use Gnome, nor any of the other DEs, you mentioned. I'm running i3-gaps with Polybar. And yes, I can comfortably live without the icon in the tasbar, too.

Yet all of this is a little beside the point. Like I said before, in Eddie 2.14.4 it worked flawlessly, in 2.14.5 it does not. All of this without any other changes to the system around the time of the installation, mind you.

However, it's interesting to see, that the problem occurs on other DEs, too. Or maybe my system does indeed use some underlying parts of Gnome. I just thought, I should mention the whole situation.

Share this post


Link to post

Is there any way to see when protocol is set to automatic wether or not tls crypt is used?

 

I've been comparing eddie generated configs both with tls crypt forced on and on "automatic" to a server without tls crypt and I don't see a difference?

Share this post


Link to post

Eddie 2.14.5 broken after upgrade on Ubuntu 17.10 64bit, GNOME 3.26.1

 

 

. 2018.06.10 16:33:44 - Eddie version: 2.14.5 / linux_x64, System: Linux, Name: Ubuntu 17.10 \n \l, Version: Linux foobar 4.13.0-43-generic #48-Ubuntu SMP Wed May 16 12:18:48 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux, Mono/.Net: 4.6.2 (Debian 4.6.2.7+dfsg-1ubuntu1); Framework: v4.0.30319
. 2018.06.10 16:33:44 - Reading options from /home/user1/.airvpn/AirVPN.xml
No protocol specified
  at System.Windows.Forms.Control..ctor () [0x00014] in <d5b72d15d4f7424c8a1538e3f19ec2e3>:0 
  at System.Windows.Forms.ScrollableControl..ctor () [0x00000] in <d5b72d15d4f7424c8a1538e3f19ec2e3>:0 
  at System.Windows.Forms.ContainerControl..ctor () [0x0000e] in <d5b72d15d4f7424c8a1538e3f19ec2e3>:0 
  at System.Windows.Forms.Form..ctor () [0x00012] in <d5b72d15d4f7424c8a1538e3f19ec2e3>:0 
  at Eddie.Forms.Form..ctor () [0x00000] in <9ff1b503a59744efb8c7748585449077>:0 
  at Eddie.Forms.Forms.Main..ctor () [0x0003f] in <9ff1b503a59744efb8c7748585449077>:0 
  at (wrapper remoting-invoke-with-check) Eddie.Forms.Forms.Main:.ctor ()
  at Eddie.Forms.Linux.Program.Main () [0x00092] in <38b487692e31434abfd0d9b16c920bbc>:0 

Unhandled Exception:
System.TypeInitializationException: The type initializer for 'System.Windows.Forms.WindowsFormsSynchronizationContext' threw an exception. ---> System.TypeInitializationException: The type initializer for 'System.Windows.Forms.XplatUI' threw an exception. ---> System.ArgumentNullException: Could not open display (X-Server required. Check your DISPLAY environment variable)
Parameter name: Display

Share this post


Link to post

Post removed.  I didn't install the new Eddie properly.  Removed original text to avoid confusing readers.  Eddie current release is working perfectly on Debian Stretch.

Share this post


Link to post

I get the same No Internet Access result when hovering over the tray wi-fi icon with both Eddie 2.14.5 and 2.13. When saving a file in MS Office 2016 it displays there's no internet connection available, however I can still navigate to cloud drives and save files. I attempted to find a "fix", but nothing helped. There's some past talk here in forums from staff about the unidentified network no internet being considered normal (when using VPN). There are times the tray tip will display Unidentified Network Internet Access, but I do not know what causes the difference.

This solved it for me -> https://airvpn.org/topic/27414-youll-need-internet-for-this-microsoft-services-when-using-ssl-tunnel/?hl=office

Update: and then  it didn't - office still asks for my password each time... but under Network Status in windows prefs it now says I am connected to the internet, which it didn't before. Hm...

Share this post


Link to post

i'm running eddie on linux mint 18.2 cinnamon and have it in my repositories, so the update to 2.14.5. went through automatically. everything works fine, except for one thing:

under preferences, the protocols tab says "30 protocol modes not available due to your OpenVPN version".

does that mean that i must update my openvpn version? do i have to re-install eddie manually to achieve that or is there another way?

Share this post


Link to post

Hi,

 

i'm running Eddie 2.14.5 on Manjaro Linux 17.1.10 XFCE and Kernel 4.14.48-2 installed from AUR.

Eddie works without problems. Big thanks to AirVPN Team and all people working on Eddie

 

 

mfg

iggyvpn

Share this post


Link to post

i'm running eddie on linux mint 18.2 cinnamon and have it in my repositories, so the update to 2.14.5. went through automatically. everything works fine, except for one thing:

under preferences, the protocols tab says "30 protocol modes not available due to your OpenVPN version".

does that mean that i must update my openvpn version? do i have to re-install eddie manually to achieve that or is there another way?

Unless you need one of those protocols, why bother updating openvpn? You never had the option for those protocols before, it just never told you they were available with a newer openvpn. 

 

I got that same message when using Mint 18.3 but I only use UDP port 443 so I never bothered to update onpenvpn.

 

I'm now using Mint 19 beta which uses openvpn 2.4.4 so no more warnings, but I'm still only using UDP port 443 so it doesn't really matter to me, it wasn't the reason for me updating to Mint 19 beta. (I like shiny new things!) 

 

Mint 19 should be out by the end of the month although I'm finding the beta very stable, normally Mint beta's move directly to stable releases via update manager, if you're interested in updating to the beta now.

Share this post


Link to post

Is anyone using ubuntu 16.04 here? If so, can you run eddie/airvpn by using the launcher/icon? I can only run it by using terminal, and I can't make it auto-startup.

Share this post


Link to post

@greerd:

i have used ssh/ssl protocol in the past, although to be honest i'm not sure whether it was on said machine or on my laptop (which still runs on 17.3).

thanks for the 19 info anyway. i usually like to wait for the point releases, which i will also do in this case if the need for more protocols shouldn't become urgent.

Share this post


Link to post

 

 

Is anyone using ubuntu 16.04 here? If so, can you run eddie/airvpn by using the launcher/icon? I can only run it by using terminal, and I can't make it auto-startup.

 

 

Worked great just like it does on my Mac on Mint 18.3, which is Ubuntu 16.04. Only thing I had to use the terminal for was to install openvpn.

Share this post


Link to post

I'm using Eddie-2.14.5 on Arch Linux, and eddie-tray doesn't work.

 

 

...

(eddie-tray:1400): libappindicator-WARNING **: 11:58:20.851: Unable to get the session bus: Address element “False” does not contain a colon (:)

(eddie-tray:1400): LIBDBUSMENU-GLIB-WARNING **: 11:58:20.851: Unable to get session bus: Address element “False” does not contain a colon (:)

...
 

In Eddie-2.14.4 it worked like a charm.

 

It doesn't matter, which package I use. Arch, portable, mono, it's always the same.

 

I did notice, that the name was changed from eddie_tray to eddie-tray. What else has been changed, I wonder.

 

Issue detected and resolved, will be fixed in the next release, few days.

Share this post


Link to post

 

It doesn't matter, which package I use. Arch, portable, mono, it's always the same.

 

I did notice, that the name was changed from eddie_tray to eddie-tray. What else has been changed, I wonder.

 

Issue detected and resolved, will be fixed in the next release, few days.

Thanks, very much appreciated. You and your colleagues are the best.

Share this post


Link to post

Is anyone using ubuntu 16.04 here? If so, can you run eddie/airvpn by using the launcher/icon? I can only run it by using terminal, and I can't make it auto-startup.

Just installed from scratch Ubuntu 16.04, open Firefox, https://airvpn.org/linux, click .deb, click to install, launch by icon, works.

https://www.clodo.it/files/temp/ubuntu1604.mp4

 

Please try to install .deb edition and write only "eddie-ui" in terminal, and post here the result. Thanks.

Share this post


Link to post

Jesus2, did you solve your issue?

 

Newbie here, too. I'm running Eddie on Ubuntu 16.04LTS with no problems--nor do I have to use the terminal to initiate Eddie. I don't use auto-start for various reasons; choosing when to engage Eddie is my preference. For convenience I locked the AIR/Eddie icon (white cloud in blue circle) to the launch bar. Clicking it opens Eddie. Once initiated (server selected), minimizing Eddie's window puts a smaller icon in the working tray (upper rt-hand screen corner); click it to pull down the menu. You can disconnect here. Keeping the AIR/Eddie icon locked to the launch bar is a convenient shortcut for me; I don't have to resort to using the terminal (although even that's not a big deal).

Share this post


Link to post

 

 

It doesn't matter, which package I use. Arch, portable, mono, it's always the same.

 

I did notice, that the name was changed from eddie_tray to eddie-tray. What else has been changed, I wonder.

Issue detected and resolved, will be fixed in the next release, few days.

 

Thanks, very much appreciated. You and your colleagues are the best. :good:

 

Please test the latest experimental 2.15.1 (just released), it contains the fix.

Share this post


Link to post

Keep frequently getting disconnected using the latest one on MacOS 10.13.5. Sometimes it reconnects, sometimes I have to cancel it cause it gets stuck and reconnect, other times it seems the only thing thats fixed it and let it reconnect was either restarting Eddie or turning off my wi-fi and turning it back on.

Still not sure if its my Mac or Eddie, but it wasn't happening until 2.14.5, and I haven't changed anything in the rest of the system for awhile now. 

Share this post


Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
  • Security Check
    Play CAPTCHA Audio
    Refresh Image

×
×
  • Create New...